Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.RequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.Request`, `ClientWireProtocol.Request.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.RequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientWireProtocol.CancelQuery` `getCancelQuery()` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.CancelQueryOrBuilder` `getCancelQueryOrBuilder()` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`ClientWireProtocol.ClientConnection` `getClientConnection()` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.ClientConnection2` `getClientConnection2()` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnection2OrBuilder` `getClientConnection2OrBuilder()` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`ClientWireProtocol.ClientConnectionOrBuilder` `getClientConnectionOrBuilder()` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`ClientWireProtocol.CloseConnection` `getCloseConnection()` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseConnectionOrBuilder` `getCloseConnectionOrBuilder()` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`ClientWireProtocol.CloseResultSet` `getCloseResultSet()` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.CloseResultSetOrBuilder` `getCloseResultSetOrBuilder()` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`ClientWireProtocol.ExecuteExplain` `getExecuteExplain()` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExplainForSpark` `getExecuteExplainForSpark()` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.ExecuteExplainForSparkOrBuilder` `getExecuteExplainForSparkOrBuilder()` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`ClientWireProtocol.ExecuteExplainOrBuilder` `getExecuteExplainOrBuilder()` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`ClientWireProtocol.ExecuteExport` `getExecuteExport()` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteExportOrBuilder` `getExecuteExportOrBuilder()` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`ClientWireProtocol.ExecuteInlinePlan` `getExecuteInlinePlan()` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecuteInlinePlanOrBuilder` `getExecuteInlinePlanOrBuilder()` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`ClientWireProtocol.ExecutePlan` `getExecutePlan()` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecutePlanOrBuilder` `getExecutePlanOrBuilder()` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`ClientWireProtocol.ExecuteQuery` `getExecuteQuery()` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteQueryOrBuilder` `getExecuteQueryOrBuilder()` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`ClientWireProtocol.ExecuteUpdate` `getExecuteUpdate()` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExecuteUpdateOrBuilder` `getExecuteUpdateOrBuilder()` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`ClientWireProtocol.ExplainPlan` `getExplainPlan()` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.ExplainPlanOrBuilder` `getExplainPlanOrBuilder()` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`ClientWireProtocol.FetchData` `getFetchData()` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchDataOrBuilder` `getFetchDataOrBuilder()` `.xg.cmdcomp.FetchData fetch_data = 8;`
`ClientWireProtocol.FetchMetadata` `getFetchMetadata()` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchMetadataOrBuilder` `getFetchMetadataOrBuilder()` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`ClientWireProtocol.FetchSystemMetadata` `getFetchSystemMetadata()` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.FetchSystemMetadataOrBuilder` `getFetchSystemMetadataOrBuilder()` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`ClientWireProtocol.ForceExternal` `getForceExternal()` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.ForceExternalOrBuilder` `getForceExternalOrBuilder()` `.xg.cmdcomp.ForceExternal force_external = 25;`
`ClientWireProtocol.GetSchema` `getGetSchema()` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.GetSchemaOrBuilder` `getGetSchemaOrBuilder()` `.xg.cmdcomp.GetSchema get_schema = 4;`
`ClientWireProtocol.KillQuery` `getKillQuery()` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.KillQueryOrBuilder` `getKillQueryOrBuilder()` `.xg.cmdcomp.KillQuery kill_query = 23;`
`ClientWireProtocol.ListPlan` `getListPlan()` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.ListPlanOrBuilder` `getListPlanOrBuilder()` `.xg.cmdcomp.ListPlan list_plan = 22;`
`ClientWireProtocol.LoadBroadcast` `getLoadBroadcast()` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.LoadBroadcastOrBuilder` `getLoadBroadcastOrBuilder()` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`ClientWireProtocol.LocalQueries` `getLocalQueries()` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.LocalQueriesOrBuilder` `getLocalQueriesOrBuilder()` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`ClientWireProtocol.Request.RequestOneofCase` `getRequestOneofCase()`
`ClientWireProtocol.SetPSO` `getSetPso()` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.SetPSOOrBuilder` `getSetPsoOrBuilder()` `.xg.cmdcomp.SetPSO set_pso = 27;`
`ClientWireProtocol.SetSchema` `getSetSchema()` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SetSchemaOrBuilder` `getSetSchemaOrBuilder()` `.xg.cmdcomp.SetSchema set_schema = 6;`
`ClientWireProtocol.SystemWideQueries` `getSystemWideQueries()` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.SystemWideQueriesOrBuilder` `getSystemWideQueriesOrBuilder()` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`ClientWireProtocol.TestConnection` `getTestConnection()` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.TestConnectionOrBuilder` `getTestConnectionOrBuilder()` `.xg.cmdcomp.TestConnection test_connection = 7;`
`ClientWireProtocol.Request.RequestType` `getType()` `.xg.cmdcomp.Request.RequestType type = 1;`
`int` `getTypeValue()` `.xg.cmdcomp.Request.RequestType type = 1;`
`boolean` `hasCancelQuery()` `.xg.cmdcomp.CancelQuery cancel_query = 17;`
`boolean` `hasClientConnection()` `.xg.cmdcomp.ClientConnection client_connection = 2;`
`boolean` `hasClientConnection2()` `.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`
`boolean` `hasCloseConnection()` `.xg.cmdcomp.CloseConnection close_connection = 5;`
`boolean` `hasCloseResultSet()` `.xg.cmdcomp.CloseResultSet close_result_set = 10;`
`boolean` `hasExecuteExplain()` `.xg.cmdcomp.ExecuteExplain execute_explain = 12;`
`boolean` `hasExecuteExplainForSpark()` `.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`
`boolean` `hasExecuteExport()` `.xg.cmdcomp.ExecuteExport execute_export = 26;`
`boolean` `hasExecuteInlinePlan()` `.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`
`boolean` `hasExecutePlan()` `.xg.cmdcomp.ExecutePlan execute_plan = 20;`
`boolean` `hasExecuteQuery()` `.xg.cmdcomp.ExecuteQuery execute_query = 11;`
`boolean` `hasExecuteUpdate()` `.xg.cmdcomp.ExecuteUpdate execute_update = 14;`
`boolean` `hasExplainPlan()` `.xg.cmdcomp.ExplainPlan explain_plan = 21;`
`boolean` `hasFetchData()` `.xg.cmdcomp.FetchData fetch_data = 8;`
`boolean` `hasFetchMetadata()` `.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`
`boolean` `hasFetchSystemMetadata()` `.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`
`boolean` `hasForceExternal()` `.xg.cmdcomp.ForceExternal force_external = 25;`
`boolean` `hasGetSchema()` `.xg.cmdcomp.GetSchema get_schema = 4;`
`boolean` `hasKillQuery()` `.xg.cmdcomp.KillQuery kill_query = 23;`
`boolean` `hasListPlan()` `.xg.cmdcomp.ListPlan list_plan = 22;`
`boolean` `hasLoadBroadcast()` `.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`
`boolean` `hasLocalQueries()` `.xg.cmdcomp.LocalQueries local_queries = 19;`
`boolean` `hasSetPso()` `.xg.cmdcomp.SetPSO set_pso = 27;`
`boolean` `hasSetSchema()` `.xg.cmdcomp.SetSchema set_schema = 6;`
`boolean` `hasSystemWideQueries()` `.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`
`boolean` `hasTestConnection()` `.xg.cmdcomp.TestConnection test_connection = 7;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getTypeValue

    int getTypeValue()

`.xg.cmdcomp.Request.RequestType type = 1;`

Returns:
  The enum numeric value on the wire for type.

#### getType

    ClientWireProtocol.Request.RequestType getType()

`.xg.cmdcomp.Request.RequestType type = 1;`

Returns:
  The type.

#### hasClientConnection

    boolean hasClientConnection()

`.xg.cmdcomp.ClientConnection client_connection = 2;`

Returns:
  Whether the clientConnection field is set.

#### getClientConnection

    ClientWireProtocol.ClientConnection getClientConnection()

`.xg.cmdcomp.ClientConnection client_connection = 2;`

Returns:
  The clientConnection.

#### getClientConnectionOrBuilder

    ClientWireProtocol.ClientConnectionOrBuilder getClientConnectionOrBuilder()

`.xg.cmdcomp.ClientConnection client_connection = 2;`

#### hasClientConnection2

    boolean hasClientConnection2()

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Returns:
  Whether the clientConnection2 field is set.

#### getClientConnection2

    ClientWireProtocol.ClientConnection2 getClientConnection2()

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

Returns:
  The clientConnection2.

#### getClientConnection2OrBuilder

    ClientWireProtocol.ClientConnection2OrBuilder getClientConnection2OrBuilder()

`.xg.cmdcomp.ClientConnection2 client_connection2 = 3;`

#### hasGetSchema

    boolean hasGetSchema()

`.xg.cmdcomp.GetSchema get_schema = 4;`

Returns:
  Whether the getSchema field is set.

#### getGetSchema

    ClientWireProtocol.GetSchema getGetSchema()

`.xg.cmdcomp.GetSchema get_schema = 4;`

Returns:
  The getSchema.

#### getGetSchemaOrBuilder

    ClientWireProtocol.GetSchemaOrBuilder getGetSchemaOrBuilder()

`.xg.cmdcomp.GetSchema get_schema = 4;`

#### hasCloseConnection

    boolean hasCloseConnection()

`.xg.cmdcomp.CloseConnection close_connection = 5;`

Returns:
  Whether the closeConnection field is set.

#### getCloseConnection

    ClientWireProtocol.CloseConnection getCloseConnection()

`.xg.cmdcomp.CloseConnection close_connection = 5;`

Returns:
  The closeConnection.

#### getCloseConnectionOrBuilder

    ClientWireProtocol.CloseConnectionOrBuilder getCloseConnectionOrBuilder()

`.xg.cmdcomp.CloseConnection close_connection = 5;`

#### hasSetSchema

    boolean hasSetSchema()

`.xg.cmdcomp.SetSchema set_schema = 6;`

Returns:
  Whether the setSchema field is set.

#### getSetSchema

    ClientWireProtocol.SetSchema getSetSchema()

`.xg.cmdcomp.SetSchema set_schema = 6;`

Returns:
  The setSchema.

#### getSetSchemaOrBuilder

    ClientWireProtocol.SetSchemaOrBuilder getSetSchemaOrBuilder()

`.xg.cmdcomp.SetSchema set_schema = 6;`

#### hasTestConnection

    boolean hasTestConnection()

`.xg.cmdcomp.TestConnection test_connection = 7;`

Returns:
  Whether the testConnection field is set.

#### getTestConnection

    ClientWireProtocol.TestConnection getTestConnection()

`.xg.cmdcomp.TestConnection test_connection = 7;`

Returns:
  The testConnection.

#### getTestConnectionOrBuilder

    ClientWireProtocol.TestConnectionOrBuilder getTestConnectionOrBuilder()

`.xg.cmdcomp.TestConnection test_connection = 7;`

#### hasFetchData

    boolean hasFetchData()

`.xg.cmdcomp.FetchData fetch_data = 8;`

Returns:
  Whether the fetchData field is set.

#### getFetchData

    ClientWireProtocol.FetchData getFetchData()

`.xg.cmdcomp.FetchData fetch_data = 8;`

Returns:
  The fetchData.

#### getFetchDataOrBuilder

    ClientWireProtocol.FetchDataOrBuilder getFetchDataOrBuilder()

`.xg.cmdcomp.FetchData fetch_data = 8;`

#### hasFetchMetadata

    boolean hasFetchMetadata()

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Returns:
  Whether the fetchMetadata field is set.

#### getFetchMetadata

    ClientWireProtocol.FetchMetadata getFetchMetadata()

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

Returns:
  The fetchMetadata.

#### getFetchMetadataOrBuilder

    ClientWireProtocol.FetchMetadataOrBuilder getFetchMetadataOrBuilder()

`.xg.cmdcomp.FetchMetadata fetch_metadata = 9;`

#### hasCloseResultSet

    boolean hasCloseResultSet()

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Returns:
  Whether the closeResultSet field is set.

#### getCloseResultSet

    ClientWireProtocol.CloseResultSet getCloseResultSet()

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

Returns:
  The closeResultSet.

#### getCloseResultSetOrBuilder

    ClientWireProtocol.CloseResultSetOrBuilder getCloseResultSetOrBuilder()

`.xg.cmdcomp.CloseResultSet close_result_set = 10;`

#### hasExecuteQuery

    boolean hasExecuteQuery()

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Returns:
  Whether the executeQuery field is set.

#### getExecuteQuery

    ClientWireProtocol.ExecuteQuery getExecuteQuery()

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

Returns:
  The executeQuery.

#### getExecuteQueryOrBuilder

    ClientWireProtocol.ExecuteQueryOrBuilder getExecuteQueryOrBuilder()

`.xg.cmdcomp.ExecuteQuery execute_query = 11;`

#### hasExecuteExplain

    boolean hasExecuteExplain()

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Returns:
  Whether the executeExplain field is set.

#### getExecuteExplain

    ClientWireProtocol.ExecuteExplain getExecuteExplain()

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

Returns:
  The executeExplain.

#### getExecuteExplainOrBuilder

    ClientWireProtocol.ExecuteExplainOrBuilder getExecuteExplainOrBuilder()

`.xg.cmdcomp.ExecuteExplain execute_explain = 12;`

#### hasExecuteExplainForSpark

    boolean hasExecuteExplainForSpark()

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Returns:
  Whether the executeExplainForSpark field is set.

#### getExecuteExplainForSpark

    ClientWireProtocol.ExecuteExplainForSpark getExecuteExplainForSpark()

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

Returns:
  The executeExplainForSpark.

#### getExecuteExplainForSparkOrBuilder

    ClientWireProtocol.ExecuteExplainForSparkOrBuilder getExecuteExplainForSparkOrBuilder()

`.xg.cmdcomp.ExecuteExplainForSpark execute_explain_for_spark = 13;`

#### hasExecuteUpdate

    boolean hasExecuteUpdate()

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Returns:
  Whether the executeUpdate field is set.

#### getExecuteUpdate

    ClientWireProtocol.ExecuteUpdate getExecuteUpdate()

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

Returns:
  The executeUpdate.

#### getExecuteUpdateOrBuilder

    ClientWireProtocol.ExecuteUpdateOrBuilder getExecuteUpdateOrBuilder()

`.xg.cmdcomp.ExecuteUpdate execute_update = 14;`

#### hasLoadBroadcast

    boolean hasLoadBroadcast()

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

Returns:
  Whether the loadBroadcast field is set.

#### getLoadBroadcast

    ClientWireProtocol.LoadBroadcast getLoadBroadcast()

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

Returns:
  The loadBroadcast.

#### getLoadBroadcastOrBuilder

    ClientWireProtocol.LoadBroadcastOrBuilder getLoadBroadcastOrBuilder()

`.xg.cmdcomp.LoadBroadcast load_broadcast = 15;`

#### hasFetchSystemMetadata

    boolean hasFetchSystemMetadata()

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Returns:
  Whether the fetchSystemMetadata field is set.

#### getFetchSystemMetadata

    ClientWireProtocol.FetchSystemMetadata getFetchSystemMetadata()

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

Returns:
  The fetchSystemMetadata.

#### getFetchSystemMetadataOrBuilder

    ClientWireProtocol.FetchSystemMetadataOrBuilder getFetchSystemMetadataOrBuilder()

`.xg.cmdcomp.FetchSystemMetadata fetch_system_metadata = 16;`

#### hasCancelQuery

    boolean hasCancelQuery()

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Returns:
  Whether the cancelQuery field is set.

#### getCancelQuery

    ClientWireProtocol.CancelQuery getCancelQuery()

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

Returns:
  The cancelQuery.

#### getCancelQueryOrBuilder

    ClientWireProtocol.CancelQueryOrBuilder getCancelQueryOrBuilder()

`.xg.cmdcomp.CancelQuery cancel_query = 17;`

#### hasSystemWideQueries

    boolean hasSystemWideQueries()

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Returns:
  Whether the systemWideQueries field is set.

#### getSystemWideQueries

    ClientWireProtocol.SystemWideQueries getSystemWideQueries()

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

Returns:
  The systemWideQueries.

#### getSystemWideQueriesOrBuilder

    ClientWireProtocol.SystemWideQueriesOrBuilder getSystemWideQueriesOrBuilder()

`.xg.cmdcomp.SystemWideQueries system_wide_queries = 18;`

#### hasLocalQueries

    boolean hasLocalQueries()

`.xg.cmdcomp.LocalQueries local_queries = 19;`

Returns:
  Whether the localQueries field is set.

#### getLocalQueries

    ClientWireProtocol.LocalQueries getLocalQueries()

`.xg.cmdcomp.LocalQueries local_queries = 19;`

Returns:
  The localQueries.

#### getLocalQueriesOrBuilder

    ClientWireProtocol.LocalQueriesOrBuilder getLocalQueriesOrBuilder()

`.xg.cmdcomp.LocalQueries local_queries = 19;`

#### hasExecutePlan

    boolean hasExecutePlan()

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Returns:
  Whether the executePlan field is set.

#### getExecutePlan

    ClientWireProtocol.ExecutePlan getExecutePlan()

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

Returns:
  The executePlan.

#### getExecutePlanOrBuilder

    ClientWireProtocol.ExecutePlanOrBuilder getExecutePlanOrBuilder()

`.xg.cmdcomp.ExecutePlan execute_plan = 20;`

#### hasExplainPlan

    boolean hasExplainPlan()

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Returns:
  Whether the explainPlan field is set.

#### getExplainPlan

    ClientWireProtocol.ExplainPlan getExplainPlan()

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

Returns:
  The explainPlan.

#### getExplainPlanOrBuilder

    ClientWireProtocol.ExplainPlanOrBuilder getExplainPlanOrBuilder()

`.xg.cmdcomp.ExplainPlan explain_plan = 21;`

#### hasListPlan

    boolean hasListPlan()

`.xg.cmdcomp.ListPlan list_plan = 22;`

Returns:
  Whether the listPlan field is set.

#### getListPlan

    ClientWireProtocol.ListPlan getListPlan()

`.xg.cmdcomp.ListPlan list_plan = 22;`

Returns:
  The listPlan.

#### getListPlanOrBuilder

    ClientWireProtocol.ListPlanOrBuilder getListPlanOrBuilder()

`.xg.cmdcomp.ListPlan list_plan = 22;`

#### hasKillQuery

    boolean hasKillQuery()

`.xg.cmdcomp.KillQuery kill_query = 23;`

Returns:
  Whether the killQuery field is set.

#### getKillQuery

    ClientWireProtocol.KillQuery getKillQuery()

`.xg.cmdcomp.KillQuery kill_query = 23;`

Returns:
  The killQuery.

#### getKillQueryOrBuilder

    ClientWireProtocol.KillQueryOrBuilder getKillQueryOrBuilder()

`.xg.cmdcomp.KillQuery kill_query = 23;`

#### hasExecuteInlinePlan

    boolean hasExecuteInlinePlan()

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Returns:
  Whether the executeInlinePlan field is set.

#### getExecuteInlinePlan

    ClientWireProtocol.ExecuteInlinePlan getExecuteInlinePlan()

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

Returns:
  The executeInlinePlan.

#### getExecuteInlinePlanOrBuilder

    ClientWireProtocol.ExecuteInlinePlanOrBuilder getExecuteInlinePlanOrBuilder()

`.xg.cmdcomp.ExecuteInlinePlan execute_inline_plan = 24;`

#### hasForceExternal

    boolean hasForceExternal()

`.xg.cmdcomp.ForceExternal force_external = 25;`

Returns:
  Whether the forceExternal field is set.

#### getForceExternal

    ClientWireProtocol.ForceExternal getForceExternal()

`.xg.cmdcomp.ForceExternal force_external = 25;`

Returns:
  The forceExternal.

#### getForceExternalOrBuilder

    ClientWireProtocol.ForceExternalOrBuilder getForceExternalOrBuilder()

`.xg.cmdcomp.ForceExternal force_external = 25;`

#### hasExecuteExport

    boolean hasExecuteExport()

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Returns:
  Whether the executeExport field is set.

#### getExecuteExport

    ClientWireProtocol.ExecuteExport getExecuteExport()

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

Returns:
  The executeExport.

#### getExecuteExportOrBuilder

    ClientWireProtocol.ExecuteExportOrBuilder getExecuteExportOrBuilder()

`.xg.cmdcomp.ExecuteExport execute_export = 26;`

#### hasSetPso

    boolean hasSetPso()

`.xg.cmdcomp.SetPSO set_pso = 27;`

Returns:
  Whether the setPso field is set.

#### getSetPso

    ClientWireProtocol.SetPSO getSetPso()

`.xg.cmdcomp.SetPSO set_pso = 27;`

Returns:
  The setPso.

#### getSetPsoOrBuilder

    ClientWireProtocol.SetPSOOrBuilder getSetPsoOrBuilder()

`.xg.cmdcomp.SetPSO set_pso = 27;`

#### getRequestOneofCase

    ClientWireProtocol.Request.RequestOneofCase getRequestOneofCase()